| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_REPEAT_FROM_TO_EX

BOOST_PROTO_REPEAT_FROM_TO_EX — Repeatedly invoke the specified macro.

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_REPEAT_FROM_TO_EX(FROM, TO, MACRO, typename_A, A, A_a, a)

## Description

`BOOST_PROTO_REPEAT_FROM_TO_EX()` is used to generate the kind of repetitive code that is typical of DSELs built with Proto. `BOOST_PROTO_REPEAT_FROM_TO_EX(`FROM`, `TO`, `MACRO`, `typename_A`, `A`, `A_a`, `a`)` is equivalent to:

    MACRO(FROM, typename_A, A, A_a, a)
    MACRO(FROM+1, typename_A, A, A_a, a)
    ...
    MACRO(TO-1, typename_A, A, A_a, a)

Example:

See `BOOST_PROTO_REPEAT_FROM_TO()`.